package cz.czu.bcp.trosa.bachelorsPrototype.dto;

        import cz.czu.bcp.trosa.bachelorsPrototype.model.User;
        import org.hibernate.validator.constraints.Length;
        import javax.validation.constraints.Email;
        import javax.validation.constraints.NotBlank;
        import javax.validation.constraints.NotNull;
        import java.io.Serializable;

public class RegisterDto implements Serializable {
    @NotNull
    @Email(message = "must be valid email address")
    public String email;
    @NotNull
    @Length(min = 8)
    @NotBlank
    public String password;
    @NotNull
    @Length(max = 255)
    @NotBlank
    public String username;

    public User getUser(){
        var details = new User();
        details.setPassword(password);
        details.setEmail(email);
        details.setUsername(username);
        return details;
    }
}
