package cz.czu.bcp.trosa.bachelorsPrototype.repository;

import cz.czu.bcp.trosa.bachelorsPrototype.model.Contract;
import cz.czu.bcp.trosa.bachelorsPrototype.model.User;
import org.springframework.data.repository.CrudRepository;

import javax.persistence.OneToMany;
import java.util.List;
import java.util.Optional;

public interface UserRepository extends CrudRepository<User,Long> {
    public Optional<User> getByUsername(String username);
    public Optional<User> getByEmail(String email);


}
