package cz.czu.bcp.trosa.bachelorsPrototype.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import cz.czu.bcp.trosa.bachelorsPrototype.model.Contract;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Objects;

public class UpdateContractDto implements Serializable {
    @JsonFormat(pattern = "yyyy-MM-dd")
    @NotNull
    public LocalDate dueDate;
    @Min(1)
    public BigDecimal newlyPaidAmount;
    @Min(1)
    public BigDecimal overdueAmount;
    public Boolean active;
}
